<?php
// $Id: pntables.php,v 1.3 2002/06/15 16:27:23 cmgrote Exp $
// ----------------------------------------------------------------------
// POST-NUKE Content Management System
// Copyright (C) 2002 by the PostNuke Development Team.
// http://www.postnuke.com/
// ----------------------------------------------------------------------
// Based on:
// PHP-NUKE Web Portal System - http://phpnuke.org/
// Thatware - http://thatware.org/
// ----------------------------------------------------------------------
// LICENSE
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WIthOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html
// ----------------------------------------------------------------------
// ----------------------------------------------------------------------
// Original Author of file: Yassen Yotov
// ----------------------------------------------------------------------
// NOTES: much of this module has been grafted onto the example module 
//        provided with the PostNuke system as "Template".  As such, many
//        of the original comments from this example may remain.  Thus,
//        if a comment seems to make no sense whatsoever, you can likely 
//        safely disregard it =)  Sorry, much was copy / pasted, without 
//        much regard for the timely process of changing comments...
// ----------------------------------------------------------------------

/**
 * This function is called internally by the core whenever the module is
 * loaded.  It adds in the information
 */
function PostWrap_pntables()
{
    // Initialise table array
    $pntable = array();
	
    // Get the name for the template item table.  This is not necessary
    // but helps in the following statements and keeps them readable
	$url_name = pnConfigGetVar('prefix') . '_postwrap_url';
	
    // Set the table name
    $pntable['postwrap_url'] = $url_name;
	
    // Set the column names.  Note that the array has been formatted
    // on-screen to be very easy to read by a user.
    $pntable['postwrap_url_column'] = array('id'    			=> $urltable . '.id',
                                            'name'  			=> $urltable . '.name',
											'alias' 			=> $urltable . '.alias',
											'reg_user_only' 	=> $urltable . '.reg_user_only',
											'open_direct' 		=> $urltable . '.open_direct',
											'use_fixed_title' 	=> $urltable . '.use_fixed_title',
											'auto_resize' 		=> $urltable . '.auto_resize',
											'vsize' 			=> $urltable . '.vsize',
											'hsize' 			=> $urltable . '.hsize');
	
    // Return the table information
    return $pntable;
}

?>